Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class Alias

    java.lang.Object
      org.hibernate.sql.Alias

    public final class Alias

extends Object

An alias generator for SQL identifiers

Constructor Summary
`Alias(int length, String suffix)` Constructor for Alias.
`Alias(String suffix)` Constructor for Alias.

Method Summary
`String` | `toAliasString(String sqlIdentifier)`
`String[]` | `toAliasStrings(String[] sqlIdentifiers)`
`String` | `toUnquotedAliasString(String sqlIdentifier)`
`String[]` | `toUnquotedAliasStrings(String[] sqlIdentifiers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Alias

    public Alias(int length,
                 String suffix)

  Constructor for Alias.

### Alias

    public Alias(String suffix)

  Constructor for Alias.

Method Detail

### toAliasString

    public String toAliasString(String sqlIdentifier)

### toUnquotedAliasString

    public String toUnquotedAliasString(String sqlIdentifier)

### toUnquotedAliasStrings

    public String[] toUnquotedAliasStrings(String[] sqlIdentifiers)

### toAliasStrings

    public String[] toAliasStrings(String[] sqlIdentifiers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.